ru.bitel.bgbilling.modules.cerbercrypt.server.event

## Class ChangePacketSubscriptionEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.modules.cerbercrypt.server.event.ChangePacketSubscriptionEvent

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    ClosePacketSubscriptionEvent, OpenPacketSubscriptionEvent

      public abstract class ChangePacketSubscriptionEvent
      extends LocalEvent

  Синхронное событие - выполнение открытия/закрытия пакета через Web.
  Общий предок для отдельных событий open и close. Унаследован от `LocalEvent`
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ChangePacketSubscriptionEvent()`
    `` | `ChangePacketSubscriptionEvent(int userId, int moduleId, int contractId, UserCard userCard, Packet packet, java.util.Date fromDate)` Конструктор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getError()` Возвращает ошибку, установленную скриптом.
    `java.util.Date` | `getFromDate()` Возвращает дату, с которой производится открытие/закрытие.
    `java.lang.String` | `getMessage()` Возвращает сообщение, установленное скриптом.
    `Packet` | `getPacket()` Возвращает тариф Packet.
    `UserCard` | `getUserCard()` Возвращает UserCard.
    `boolean` | `isProcessed()` Возвращает признак обработанности события скриптом.
    `void` | `setError(java.lang.String error)` Установка ошибки скриптом.
    `void` | `setMessage(java.lang.String message)` Установка сообщения скриптом.
    `void` | `setProcessed(boolean processed)` Установка флага обработанности события скриптом.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ChangePacketSubscriptionEvent

          protected ChangePacketSubscriptionEvent()

    - #### ChangePacketSubscriptionEvent

          public ChangePacketSubscriptionEvent(int userId,
                                               int moduleId,
                                               int contractId,
                                               UserCard userCard,
                                               Packet packet,
                                               java.util.Date fromDate)

      Конструктор события.
      Parameters:
        `userId` - - id пользователя, сгенерировавшего событие
        `moduleId` - - код модуля
        `contractId` - - код договора
        `userCard` - - карта пользователя
        `packet` - - пакет
        `fromDate` - - с какой даты начать новый тариф

  - ### Method Detail

    - #### getUserCard

          public UserCard getUserCard()

      Возвращает UserCard.
      Returns:
        userCard - карта пользователя

    - #### getPacket

          public Packet getPacket()

      Возвращает тариф Packet.
      Returns:
        packet - пакет

    - #### isProcessed

          public boolean isProcessed()

      Возвращает признак обработанности события скриптом.
      В этом случае штатное действие не выполняется.
      Returns:
        processed - признак:
    - true - обработано
    - false - не обработано

  - #### setProcessed

        public void setProcessed(boolean processed)

    Установка флага обработанности события скриптом.
    Parameters:
      `processed` - - флаг

  - #### getMessage

        public java.lang.String getMessage()

    Возвращает сообщение, установленное скриптом.
    Returns:
      message - сообщение

  - #### setMessage

        public void setMessage(java.lang.String message)

    Установка сообщения скриптом.
    Parameters:
      `message` - - сообщение

  - #### getError

        public java.lang.String getError()

    Возвращает ошибку, установленную скриптом.
    Returns:
      error - ошибка

  - #### setError

        public void setError(java.lang.String error)

    Установка ошибки скриптом.
    Parameters:
      `error` - - ошибка

  - #### getFromDate

        public java.util.Date getFromDate()

    Возвращает дату, с которой производится открытие/закрытие.
    Returns:
      fromDate - дата